Commit d741205c authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

Depend against last akonadi-contact

parent f7ed0716
Pipeline #66250 canceled with stage
......@@ -52,6 +52,7 @@ set(LIBGRANTLEETHEME_LIB_VERSION "5.17.40")
set(PIMCOMMON_LIB_VERSION "5.17.40")
set(LIBKLEO_LIB_VERSION "5.17.40")
set(AKONADI_SEARCH_VERSION "5.17.40")
set(AKONADI_CONTACT_VERSION "5.17.41")
# Find KF5 package
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
......@@ -72,7 +73,7 @@ find_package(KF5KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
set(GPGMEPP_LIB_VERSION "1.11.1")
......
......@@ -353,7 +353,6 @@ void MainWidget::initializeImportExportPlugin(KActionCollection *collection)
void MainWidget::configure()
{
QPointer<KCMultiDialog> dlg = new KCMultiDialog(this);
dlg->addModule(QStringLiteral("akonadicontact_actions"));
dlg->addModule(QStringLiteral("kcmldap"));
const QVector<KPluginMetaData> availablePlugins = KPluginLoader::findPlugins(QStringLiteral("pim/kcms/kaddressbook"));
for (const KPluginMetaData &metaData : availablePlugins) {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment